git-annex-info(1)

NAME
git-annex-info - information about an item or the repository

SYNOPSIS
git annex info [directory|file|treeish|remote|description|uuid ...]

DESCRIPTION
Displays statistics and other information for the specified item, which can be a directory, or a file, or a treeish, or a remote, or the description or uuid of a repository.

When no item is specified, displays statistics and information for the local repository and all annexed content.

OPTIONS

--fast

    Only show the data that can be gathered quickly.

--json
    Enable JSON output. This is intended to be parsed by programs that use git-annex. Each line of output is a JSON object.

--json-error-messages
    Messages that would normally be output to standard error are included in the JSON instead.

--bytes
    Show file sizes in bytes, disabling the default nicer units.

--batch
    Enable batch mode, in which a line containing an item is read from stdin, the information about it is output to stdout, and repeat.

-z  Makes the --batch input be delimited by nulls instead of the usual newlines.

--autoenable
    Display a list of special remotes that have been configured to autoenable.

matching options
    The git-annex-matching-options(1) can be used to select what to include in the statistics.

Also the git-annex-common-options(1) can be used.

EXAMPLES
Suppose you want to run "git annex get .", but would first like to see how much disk space that will use. Then run:

 git annex info --fast . --not --in here

SEE ALSO
git-annex(1)

AUTHOR
Joey Hess <id@joeyh.name>